


%Plot parameters
plotPar.linewidth = 2;
plotPar.marker = 18;
plotPar.fontsize = 20;
plotPar.legendFontSize = 16;
plotPar.xyTickSize = 28;

if whatPlot(1)


%Open figure
mainfig = figure('pos',[500 500 1024 768]);
%mainfig = figure();
%set(gcf, 'Position', get(0,'screensize'));
% tabgroup = uitabgroup(mainfig);
% 
% %TAB 1 ========================================================
% tab1=uitab(tabgroup,'Title','North East plot');
% axes('parent',tab1)

%Enable hold if off.
if ~ishold()
    hold on
end

% axis([-300 200 -50 550]) %SCENARIO 1
% 
% x0=500;
% y0=500;
% width=1000;
% height=1200;
% set(gcf,'units','points','position',[x0,y0,width,height])
% axis equal
%Plot waypoints
for i=1:size(wayPoints,2)
   p1 = plot(wayPoints(2,i),wayPoints(1,i),'OB','markersize',plotPar.marker);
   text(wayPoints(2,i),wayPoints(1,i),sprintf('\nWP%d',i),'fontsize',plotPar.fontsize,'HorizontalAlignment','left','VerticalAlignment','bottom');
   if i < size(wayPoints,2)
   p2 = plot([wayPoints(2,i) wayPoints(2,i+1)],[wayPoints(1,i)...
       wayPoints(1,i+1)],'--black','linewidth',plotPar.linewidth-1);
   end
end

%Plot obstacles, obstacle text and obstacle radiuses.
radiusStyle = {'-.black',':black','-black'};
for i=1:size(obstacles1,2)
    p3 = plot(obstacles1(2,i),obstacles1(1,i),'xblack','markersize',plotPar.marker,'linewidth',plotPar.linewidth);
    text(obstacles1(2,i),obstacles1(1,i),sprintf('    OB%d',i),'fontsize',plotPar.fontsize);
    
    %cicle 1
    th = 0:pi/200:2*pi;
    xunit = obstLevels(3) * cos(th) + obstacles1(2,i);
    yunit = obstLevels(3) * sin(th) + obstacles1(1,i);
    p4 = plot(xunit, yunit,sprintf('%s',radiusStyle{3}),'linewidth',plotPar.linewidth);

    %cicle 2
    th = 0:pi/200:2*pi;
    xunit = obstLevels(2) * cos(th) + obstacles1(2,i);
    yunit = obstLevels(2) * sin(th) + obstacles1(1,i);
    p5 = plot(xunit, yunit,sprintf('%s',radiusStyle{2}),'linewidth',plotPar.linewidth);
    
    %cicle 3
    th = 0:pi/200:2*pi;
    xunit = obstLevels(1) * cos(th) + obstacles1(2,i);
    yunit = obstLevels(1) * sin(th) + obstacles1(1,i);
    p6 = plot(xunit, yunit,sprintf('%s',radiusStyle{1}),'linewidth',plotPar.linewidth);
end

if Scenario==1

    plot(obstacles21(2,:),obstacles21(1,:),'-r','linewidth',plotPar.linewidth+1);
    plot(obstacles22(2,:),obstacles22(1,:),'-r','linewidth',plotPar.linewidth+1);
    
    
    obstacles21r = [[linspace(100,100)+obstLevels(1);linspace(600,1000-obstLevels(1))],...
                    [linspace(100+obstLevels(1),900);linspace(1000,1700-obstLevels(1))],...
                    [linspace(900,1400);linspace(1700,1500)-obstLevels(1)]];
    
    obstacles21rr = [[linspace(100,100)+obstLevels(2);linspace(600,1000-obstLevels(2))],...
                    [linspace(100+obstLevels(2),900);linspace(1000,1700-obstLevels(2))],...
                    [linspace(900,1400);linspace(1700,1500)-obstLevels(2)]];
            
    obstacles21rrr = [[linspace(100,100)+obstLevels(3);linspace(600,1000-obstLevels(3))],...
                    [linspace(100+obstLevels(3),900);linspace(1000,1700-obstLevels(3))],...
                    [linspace(900,1400);linspace(1700,1500)-obstLevels(3)]];
   
    plot(obstacles21r(2,:),obstacles21r(1,:),sprintf('%s',radiusStyle{1}),'linewidth',plotPar.linewidth);
    plot(obstacles21rr(2,:),obstacles21rr(1,:),sprintf('%s',radiusStyle{2}),'linewidth',plotPar.linewidth);
    plot(obstacles21rrr(2,:),obstacles21rrr(1,:),sprintf('%s',radiusStyle{3}),'linewidth',plotPar.linewidth);
    
    

end

%Plot path of main simulation
p7 = plot(eta_main(:,2),eta_main(:,1),'-green','linewidth',plotPar.linewidth+1);

%Plot consequence analysis simluations paths
if OCASingle(1)
for i = OCASingle(2):OCASingle(2)
    p9 = plot(data_sim(2,1,i),data_sim(1,1,i),'xr','markersize',plotPar.marker,'linewidth',plotPar.linewidth);
    text(data_sim(2,1,i),data_sim(1,1,i),sprintf('  %d',i),'fontsize',plotPar.fontsize);
    
    darkOrangeRGB = [(255/255),(140/255),(0/255)]; %Defining a dark orange in RGB.
    redRGB = [(255/255),(0/255),(0/255)]; %Define red color
    
    
    fm_start = 0; %time from simulation start until fm occur
    fm_duration = 250;
    
%     switch fmIdx(i)
%         case 1
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',redRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%             %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%         case 2
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',redRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%         
%         case 3
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',redRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%       
%         case 4
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',redRGB);
%            
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
           
%         otherwise
            p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
            p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            
            %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
           
%     end
end    
else
for i = 1:OCAres:size(data_sim,3)-1
    p9 = plot(data_sim(2,1,i),data_sim(1,1,i),'xr','markersize',plotPar.marker,'linewidth',plotPar.linewidth);
    text(data_sim(2,1,i),data_sim(1,1,i),sprintf('  %d',i),'fontsize',plotPar.fontsize);
    
    darkOrangeRGB = [(255/255),(140/255),(0/255)]; %Defining a dark orange in RGB.
    redRGB = [(255/255),(0/255),(0/255)]; %Define red color
    
    
    fm_start = 0; %time from simulation start until fm occur
    fm_duration = 250;
    
%     switch fmIdx(i)
%         case 1
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',redRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%             %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%         case 2
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',redRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%         
%         case 3
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',redRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             
%       
%         case 4
%             p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
%             p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
%             p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',redRGB);
%            
%              %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
%             plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            
           
%         otherwise
            p8 = plot(data_sim(2,:,i),data_sim(1,:,i),'--','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            p10 = plot(data_sim2(2,:,i),data_sim2(1,:,i),':','linewidth',plotPar.linewidth+1,'color',darkOrangeRGB);
            p11 = plot(data_sim3(2,:,i),data_sim3(1,:,i),'-.','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            p12 = plot(data_sim4(2,:,i),data_sim4(1,:,i),'-','linewidth',plotPar.linewidth,'color',darkOrangeRGB);
            
            %plot(data_sim(2,(fm_duration*10),i),data_sim(1,(fm_duration*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            p13 = plot(data_sim2(2,(fm_duration2*10),i),data_sim2(1,(fm_duration2*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            plot(data_sim3(2,(fm_duration3*10),i),data_sim3(1,(fm_duration3*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
            plot(data_sim4(2,(fm_duration4*10),i),data_sim4(1,(fm_duration4*10),i),'db','linewidth',plotPar.linewidth,'markersize',plotPar.marker-5);
           
%     end
end
end

lgd = legend([p1 p2 p3 p4 p5 p6 p7 p9 p8 p10 p11 p12 p13],...
    {'Waypoint','Straight path between waypoints','Obstacle location','Obstacle Level 3','Obstacle Level 2',...
    'Obstacle Level 1','Vessel path','Failure mode simulation start','Failure mode 1 - 0% Power','Failure mode 2 - 20% Power','Failure mode 3 - 50% Power','Failure mode 4 - Rudder Freeze','System Recovery'},'Location','west');
%set(lgd,'Fontsize',plotPar.legendFontSize);
xlbl = xlabel('East [m]');
%set(xlbl,'Fontsize',plotPar.fontsize);
ylbl = ylabel('North [m]');
%set(ylbl,'Fontsize',plotPar.fontsize);
title('North/East');
%get(gca, 'XTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%get(gca, 'YTick');
%set(gca, 'FontSize', plotPar.xyTickSize);

 axis([-10 20 -50 550]) %SCENARIO 1
%axis([-1300 300 -100 1300]) %SCENARIO 2
%axis([1500 1801 600 1000]) %SCENARIO 3
%axis([-50 1801 100 1600]) %SCENARIO 3 zoom

set(gca,'FontSize',plotPar.fontsize)
axis equal %Creates axis that are correctly scaled.



if printPlot(1)
    print(sprintf('%s/northEastPlot.eps',printPath),'-depsc')
    close;
end

end %if

if whatPlot(2)

%%TAB 2 ========================================================
figure();
% tab1=uitab(tabgroup,'Title','Cross-track Error');
% axes('parent',tab1)
set(gcf, 'Position', get(0,'screensize'));
plot(crossTrackError_sim.time,crossTrackError_sim.data,'-r','linewidth',plotPar.linewidth)
title('Cross-track Error');
lgd2 = legend('Cross-track Error [m]');
%set(lgd2,'Fontsize',plotPar.legendFontSize);
xlbl2 = xlabel('Time [s]');
%set(xlbl2,'Fontsize',plotPar.fontsize);
ylbl2 = ylabel('Cross-track Error [m]');
%set(ylbl2,'Fontsize',plotPar.fontsize);
%get(gca, 'XTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%get(gca, 'YTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
set(gca,'FontSize',plotPar.fontsize)
grid on;

if printPlot(2)
    print(sprintf('%s/crossTrackError.eps',printPath),'-depsc')
    close;
end

end




if whatPlot(3)


for i = 1:size(data_sim,3)
    
%%TAB 3-> ========================================================
tab1=uitab(tabgroup,'Title',sprintf('FS%d',i));
axes('parent',tab1)

subplot(3,2,1)
plot(data_sim(13,:,i),data_sim(1,:,i),'-r','Linewidth',plotPar.linewidth);
title('North Position','FontSize',plotPar.fontsize);
legend({'$N$'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Position [m]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;

subplot(3,2,3)
plot(data_sim(13,:,i),data_sim(2,:,i),'-r','Linewidth',plotPar.linewidth);
title('East Position','FontSize',plotPar.fontsize);
legend({'$E$'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Position [m]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;

subplot(3,2,5)
plot(data_sim(13,:,i),(180/pi)*data_sim(6,:,i),'-r','Linewidth',plotPar.linewidth);
title('$$\psi$$','Interpreter','latex','FontSize',plotPar.fontsize);
legend({'$\psi$'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Position [deg]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;


subplot(3,2,2)
plot(data_sim(13,:,i),data_sim(7,:,i),'-r','Linewidth',plotPar.linewidth);
title('Surge velocity','FontSize',plotPar.fontsize);
legend({'$u$ [m/s]'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Velocity [m/s]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;



subplot(3,2,4)
plot(data_sim(13,:,i),data_sim(8,:,i),'-r','Linewidth',plotPar.linewidth);
title('Sway velocity','FontSize',plotPar.fontsize);
legend({'$v$ [m/s]'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Velocity [m/s]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;

subplot(3,2,6)
plot(data_sim(13,:,i),(180/pi)*data_sim(12,:,i),'-r','Linewidth',plotPar.linewidth);
title('Turning velocity','FontSize',plotPar.fontsize);
legend({'$r$ [deg/s]'},'Interpreter','latex');
xlabel('Time [s]','FontSize',xyLabelSize);
ylabel('Turning velocity [deg/s]','FontSize',xyLabelSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize);
grid on;
end

if printPlot(3)
    print(sprintf('%s/failureModes.eps',printPath),'-depsc')
    close;
end

end %if



if whatPlot(4)
    %Plot of risk indicator and corresponding failure mode, in subplots.
figure('pos',[500 500 1024 768]);
%set(gcf, 'Position', get(0,'screensize'));

subplot(2,1,1)

plot(simulationTime ,CS_and_RI(:,1), '-r','linewidth',plotPar.linewidth)
title('Online Risk Indicator [0-1]');
lgd3 = legend('Risk Indicator [-]');
%set(lgd3,'Fontsize',plotPar.legendFontSize);
xlbl3 = xlabel('Time [s]');
%set(xlbl3,'Fontsize',plotPar.fontsize);
ylbl3 = ylabel('Risk Indicator Level [-]');
%set(ylbl3,'Fontsize',plotPar.fontsize);
%get(gca, 'XTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%get(gca, 'YTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
set(gca,'FontSize',plotPar.fontsize)
axis([0 max(simulationTime) min(CS_and_RI(:,1))-0.1 max(CS_and_RI(:,1))+0.1])

grid on;

subplot(2,1,2)
plot(simulationTime ,CS_and_RI(:,2), '-r','linewidth',plotPar.linewidth)
title('Failure mode corresponding to the highest risk');
lgd3 = legend('Failure Mode [-]');
%set(lgd3,'Fontsize',plotPar.legendFontSize);
xlbl3 = xlabel('Time [s]');
%set(xlbl3,'Fontsize',plotPar.fontsize);
ylbl3 = ylabel('Failure Mode [-]');
%set(ylbl3,'Fontsize',plotPar.fontsize);
%get(gca, 'XTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%get(gca, 'YTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%axis([0 simulationTime(end) 0 4.5])
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
axis([0 max(simulationTime) -0.2 4.5])
set(gca,'FontSize',plotPar.fontsize)

grid on;

if printPlot(4)
    print(sprintf('%s/riskIndicator.eps',printPath),'-depsc')
    close;
end

end


if whatPlot(5)
%Plots result of each consequence analysis
   
figure('pos',[500 500 1024 1468]);
%set(gcf, 'Position', get(0,'screensize'));

subplot(4,1,1)
plot(simulationTime ,CS_and_RI(:,3), '-b','linewidth',plotPar.linewidth)
title('Online Consequence Analysis - FM_1');
%lgd4 = legend('Consequence Level [-]');
%set(lgd4,'Fontsize',plotPar.legendFontSize);
xlbl4 = xlabel('Time [s]');
%set(xlbl4,'Fontsize',plotPar.fontsize);
ylbl4 = ylabel('Conseq. Lvl [-]');
%set(ylbl4,'Fontsize',plotPar.fontsize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Ytick',[-2,-1,0,1,2,3,4]);
axis([0 max(simulationTime) min(CS_and_RI(:,3))-1 max(CS_and_RI(:,3))+1])
set(gca,'FontSize',plotPar.fontsize) 
grid on

subplot(4,1,2)
plot(simulationTime ,CS_and_RI(:,4), '-b','linewidth',plotPar.linewidth)
title('Online Consequence Analysis - FM_2');
%lgd5 = legend('Consequence Level [-]');
%set(lgd5,'Fontsize',plotPar.legendFontSize);
xlbl5 = xlabel('Time [s]');
%set(xlbl5,'Fontsize',plotPar.fontsize);
ylbl5 = ylabel('Conseq. Lvl [-]');
%set(ylbl5,'Fontsize',plotPar.fontsize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Ytick',[-2,-1,0,1,2,3,4]);
axis([0 max(simulationTime) min(CS_and_RI(:,4))-1 max(CS_and_RI(:,4))+1])
set(gca,'FontSize',plotPar.fontsize)
grid on

subplot(4,1,3)
plot(simulationTime ,CS_and_RI(:,5), '-b','linewidth',plotPar.linewidth)
title('Online Consequence Analysis - FM_3');
%lgd6 = legend('Consequence Level [-]');
%set(lgd6,'Fontsize',plotPar.legendFontSize);
xlbl6 = xlabel('Time [s]');
%set(xlbl6,'Fontsize',plotPar.fontsize);
ylbl6 = ylabel('Conseq. Lvl [-]');
%set(ylbl6,'Fontsize',plotPar.fontsize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Ytick',[-2,-1,0,1,2,3,4]);
axis([0 max(simulationTime) min(CS_and_RI(:,5))-1 max(CS_and_RI(:,5))+1])
set(gca,'FontSize',plotPar.fontsize) 
grid on

subplot(4,1,4)
plot(simulationTime ,CS_and_RI(:,6), '-b','linewidth',plotPar.linewidth)
title('Online Consequence Analysis - FM_4');
%lgd7 = legend('Consequence Level [-]');
%set(lgd7,'Fontsize',plotPar.legendFontSize);
xlbl7 = xlabel('Time [s]');
%set(xlbl7,'Fontsize',plotPar.fontsize);
ylbl7 = ylabel('Conseq. Lvl [-]');
%set(ylbl7,'Fontsize',plotPar.fontsize);
get(gca, 'XTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Xtick',0:Tsim_int*8:simulationTime(end));
get(gca, 'YTick');
set(gca, 'FontSize', plotPar.xyTickSize,'Ytick',[-2,-1,0,1,2,3,4]);
axis([0 max(simulationTime) min(CS_and_RI(:,6))-1 max(CS_and_RI(:,6))+1])
set(gca,'FontSize',plotPar.fontsize) 
grid on


if printPlot(5)
    print(sprintf('%s/consequenceLevels.eps',printPath),'-depsc')
    close;
end

end


if whatPlot(6)
    figure('pos',[500 500 1024 768]);
    %set(gcf, 'Position', get(0,'screensize'));
    
    
    hold on;
    riskL1 = fill([0 0 1/3 1/3],[0 1/3 1/3 0],'g');
    fill([0 0 1/3 1/3],[1/3 2/3 2/3 1/3],'g');
    fill([1/3 1/3 2/3 2/3],[0 1/3 1/3 0],'g');
    
    riskL2 = fill([0 0 1/3 1/3],[2/3 1 1 2/3],'y');
    fill([1/3 1/3 2/3 2/3],[1/3 2/3 2/3 1/3],'y');
    fill([2/3 2/3 1 1],[0 1/3 1/3 0],'y');
    
    riskL3 =fill([2/3 2/3 1 1],[1/3 2/3 2/3 1/3],'r');
    fill([2/3 2/3 1 1],[2/3 3/3 3/3 2/3],'r');
    fill([1/3 1/3 2/3 2/3],[2/3 3/3 3/3 2/3],'r');
    
    plot([0 1],[1/3 1/3],'-black','linewidth',1.5)
    plot([0 1],[2/3 2/3],'-black','linewidth',1.5)
    plot([0 1],[1 1],'-black','linewidth',1.5)
    
    plot([0 0],[0 1],'-black','linewidth',1.5)
    plot([1/3 1/3],[0 1],'-black','linewidth',1.5)
    plot([2/3 2/3],[0 1],'-black','linewidth',1.5)
    plot([1 1],[0 1],'-black','linewidth',1.5)
    
    
    %plot runs
    for i=1:size(CS_and_RI,1)
        for j = 3:size(CS_and_RI,2)
            if (CS_and_RI(i,j)) < 0
                CS_and_RI(i,j) = 0;
            else
                CS_and_RI(i,j) = CS_and_RI(i,j);
            end
        end
    end
    
    counter = 0;
    stringCount = 1;
    string1 = ' ';
    %[conseqLvl,conseqLoc] = max(CS_and_RI(1,3:6));
    
    if CS_and_RI(1,2) == 0
        prob = 0;
    else
        prob = probability(CS_and_RI(1,2));
    end
    
    %riskTexT = text(conseqLvl/3,prob,'','fontsize',plotPar.fontsize+10,'HorizontalAlignment','left','VerticalAlignment','middle');
    
    
    
    for i=Tsim_int*100+1:Tsim_int*100:size(data_sim,3)*Tsim_int*100+1
        counter=counter+1;
        %probSum = 0;
        
        if CS_and_RI(i,2) == 0
            prob = 1e-40;
        else
%             for j = 3:size(CS_and_RI,2)
%                 if CS_and_RI(i,j) > 0
%                     probSum = probSum + probability(CS_and_RI(i,j));
%                 else
%                     probSum = probSum;
%                 end
%             end
            prob = probability(CS_and_RI(i,2));
        end


        %prob = probSum/sum(probability);
        
        %[conseqLvl,conseqLoc] = max(CS_and_RI(i,3:6));
        %disp(CS_and_RI(i,:))
        %disp('new run')
        
        %Xpos = conseqLvl/3;
        Xpos = (CS_and_RI(i,7)/prob);
        %disp(Xpos)
        
        Ypos = prob;
        
        riskL4 =plot(Xpos,Ypos,'db','MarkerFaceColor','b','markersize',plotPar.marker+5);
        
        if counter == 1
            riskTextString{1} = '1';
            riskTextX(1) = Xpos;
            riskTextY(1) = Ypos;
        else
            temp = 0;
            for i = 1:size(riskTextX,2) 
                if Xpos == riskTextX(i)
                    if Ypos == riskTextY(i)
                    riskTextString{i} = strcat(riskTextString{i},sprintf(',%d',counter));
                    temp = 1;
                    end
                end 
            end
            
            if temp == 0
                stringCount = stringCount+1;
                riskTextString{stringCount} = sprintf('%d',counter);
                riskTextX(stringCount) = Xpos;
                riskTextY(stringCount) = Ypos;
            end
        end
    end
    
    
    
    for i = 1:stringCount
        if ~ishold
            hold on
        end
        text(riskTextX(i)+0.02,riskTextY(i),riskTextString{i},'fontsize',plotPar.fontsize+10,'HorizontalAlignment','left','VerticalAlignment','bottom')
    end
    

    
 




title('Risk Matrix');
xlbl8 = xlabel('Conseq. Lvl [-]');
%set(xlbl8,'Fontsize',plotPar.fontsize);
ylbl8 = ylabel('Probability [-]');
%set(ylbl8,'Fontsize',plotPar.fontsize);
risklgd = legend([riskL1,riskL2,riskL3,riskL4],{['Acceptable',sprintf('\n\n'),' '],['ALARP',sprintf('\n\n'),' '],['Not Acceptable',sprintf('\n\n'),' '],'OCA n'});
%set(risklgd,'Fontsize',plotPar.legendFontSize);
%get(gca, 'XTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
%get(gca, 'YTick');
%set(gca, 'FontSize', plotPar.xyTickSize);
set(gca,'FontSize',plotPar.fontsize)
grid on
axis square

if printPlot(6)
    print(sprintf('%s/riskMatrix.eps',printPath),'-depsc')
    close;
end    


end


% function plotCircle(x,y,r,plotIcon,plotPar)
% th = 0:pi/200:2*pi;
% xunit = r * cos(th) + x;
% yunit = r * sin(th) + y;
% p3 = plot(xunit, yunit,plotIcon,'linewidth',plotPar.linewidth);
% end